{
	"name": "vite-electron",
	"private": true,
	"version": "2.0.20",
	"main": "dist-electron/main.js",
	"scripts": {
		"dev": "chcp 65001 && vite",
		"build": "node ./addVersion.js && vite build && electron-builder",
		"build:test": "vite build --mode test && electron-builder",
		"preview": "vite preview",
		"build:win": "node ./addVersion.js && vite build && electron-builder --w",
		"postinstall": "electron-builder install-app-deps"
	},
	"dependencies": {
		"@element-plus/icons-vue": "^2.3.1",
		"axios": "^1.6.2",
		"bignumber.js": "^9.3.1",
		"dayjs": "^1.11.10",
		"electron-pos-printer": "^1.3.6",
		"electron-pos-printer-vue": "^1.0.9",
		"element-plus": "^2.4.3",
		"js-md5": "^0.8.3",
		"lodash": "^4.17.21",
		"pinia": "^2.1.7",
		"pinia-plugin-persistedstate": "^3.2.1",
		"qrcode": "^1.5.3",
		"reconnecting-websocket": "^4.4.0",
		"speak-tts": "^2.0.8",
		"swiper": "^11.1.1",
		"uuid": "^10.0.0",
		"vue": "^3.3.8",
		"vue-router": "^4.2.5",
		"ysk-utils": "^1.0.84"
	},
	"devDependencies": {
		"@vitejs/plugin-vue": "^4.5.0",
		"electron": "^28.3.3",
		"electron-builder": "^24.13.3",
		"electron-rebuild": "^3.2.9",
		"path": "^0.12.7",
		"sass": "^1.69.5",
		"sass-loader": "^13.3.2",
		"tree-kill": "^1.2.2",
		"vite": "^5.0.0",
		"vite-plugin-electron": "^0.15.4",
		"vite-plugin-electron-renderer": "^0.14.5"
	},
	"build": {
		"appId": "com.cashierdesktop.app",
		"productName": "银收客",
		"asar": true,
		"files": [
			"./dist/**/*",
			"./dist-electron/**/*"
		],
		"directories": {
			"buildResources": "build",
			"output": "release"
		},
		"win": {
			"icon": "./public/logo.ico",
			"target": [
				{
					"target": "nsis",
					"arch": [
						"ia32"
					]
				}
			]
		},
		"nsis": {
			"oneClick": false,
			"allowElevation": true,
			"allowToChangeInstallationDirectory": true,
			"installerIcon": "./public/logo.ico",
			"uninstallerIcon": "./public/logo.ico",
			"installerHeaderIcon": "./public/logo.ico",
			"createDesktopShortcut": true,
			"createStartMenuShortcut": true
		}
	}
}